// //////////////////////////////////////////////////////////////////////////
// Header file CppLineParser.h for class CppLineParser
// (c)Copyright 2000, Baptiste Lepilleur.
// Created: 2001/09/23
// //////////////////////////////////////////////////////////////////////////
#ifndef CPPLINEPARSER_H
#define CPPLINEPARSER_H

class QString;
class CppLineParserBuilder;


/*! \class CppLineParser
 * \brief This class parse a line of a C++ file.
 */
class CppLineParser
{
public:
  /*! Constructs a CppLineParser object.
   */
  CppLineParser( const QString &line,
                 CppLineParserBuilder *builder );

  /// Destructor.
  virtual ~CppLineParser();

private:
  /// Prevents the use of the copy constructor.
  CppLineParser( const CppLineParser &copy );

  /// Prevents the use of the copy operator.
  void operator =( const CppLineParser &copy );

  int skipSpacesStartingAt( int index );

  bool isPreprocessorDirective();

  void parseIncludeArg( int index,
                        CppLineParserBuilder *builder );

private:
  QString _line;
};



// Inlines methods for CppLineParser:
// ----------------------------------



#endif  // CPPLINEPARSER_H
