// //////////////////////////////////////////////////////////////////////////
// Header file ExpectedFile.h for class ExpectedFile
// (c)Copyright 2000, Baptiste Lepilleur.
// Created: 2001/09/23
// //////////////////////////////////////////////////////////////////////////
#ifndef EXPECTEDFILE_H
#define EXPECTEDFILE_H

#include <qlist.h>
#include <qstring.h>
class ExpectedProject;
class ResolvedFileModel;


/*! \class ExpectedFile
 * \brief This class represents an expected file in test cases.
 */
class ExpectedFile
{
public:
  /*! Constructs a ExpectedFile object.
   */
  ExpectedFile( const QString &relativeFileName );

  /// Destructor.
  virtual ~ExpectedFile();

  QString fullPathName();

  QString angledPathName();

  void addFile( ExpectedFile *file );

  ExpectedFile *addFile( const QString &relativeFileName );

  void setProject( ExpectedProject *project );

  void checkSameAs( ResolvedFileModel *actualFile,
                    QString *message );

private:
  /// Prevents the use of the copy constructor.
  ExpectedFile( const ExpectedFile &copy );

  /// Prevents the use of the copy operator.
  void operator =( const ExpectedFile &copy );


private:
  ExpectedProject *_project;
  QString _relativeFileName;
  QList<ExpectedFile> _files;
};



// Inlines methods for ExpectedFile:
// ---------------------------------



#endif  // EXPECTEDFILE_H
