// //////////////////////////////////////////////////////////////////////////
// Header file ExpectedProject.h for class ExpectedProject
// (c)Copyright 2000, Baptiste Lepilleur.
// Created: 2001/09/23
// //////////////////////////////////////////////////////////////////////////
#ifndef EXPECTEDPROJECT_H
#define EXPECTEDPROJECT_H

#include <qlist.h>
#include <qstring.h>
class ExpectedFile;
class ProjectModel;


/*! \class ExpectedProject
 * \brief This class represents a project for test case expected result.
 */
class ExpectedProject
{
public:
  /*! Constructs a ExpectedProject object.
   */
  ExpectedProject( const QString &projectDirectory );

  /// Destructor.
  virtual ~ExpectedProject();

  QString fullPathNameFor( const QString &relativeFileName );

  void addFile( ExpectedFile *file );

  void checkSameAs( ProjectModel *project );
  
private:
  /// Prevents the use of the copy constructor.
  ExpectedProject( const ExpectedProject &copy );

  /// Prevents the use of the copy operator.
  void operator =( const ExpectedProject &copy );

private:
  QString _projectDirectory;
  QList<ExpectedFile> *_files;
};



// Inlines methods for ExpectedProject:
// ------------------------------------



#endif  // EXPECTEDPROJECT_H
