// //////////////////////////////////////////////////////////////////////////
// Header file ExpectedProjectTest.h for class ExpectedProjectTest
// (c)Copyright 2000, Baptiste Lepilleur.
// Created: 2001/09/24
// //////////////////////////////////////////////////////////////////////////
#ifndef EXPECTEDPROJECTTEST_H
#define EXPECTEDPROJECTTEST_H

#include <qstring.h>
#include <cppunit/extensions/HelperMacros.h>


/*! \class ExpectedProjectTest
 * \brief Unit test for ExpectedProject.
 */
class ExpectedProjectTest : public CppUnit::TestCase
{
  CPPUNIT_TEST_SUITE( ExpectedProjectTest );
  CPPUNIT_TEST_EXCEPTION( testDifferentProjectPath, CppUnit::Exception );
  CPPUNIT_TEST_EXCEPTION( testMissingActualTopFile, CppUnit::Exception );
  CPPUNIT_TEST_EXCEPTION( testMissingActualTopFile2, CppUnit::Exception );
  CPPUNIT_TEST_EXCEPTION( testMissingExpectedTopFile, CppUnit::Exception );
  CPPUNIT_TEST_EXCEPTION( testMissingExpectedTopFile2, CppUnit::Exception );
  CPPUNIT_TEST_EXCEPTION( testMissingActualIncludedFile, CppUnit::Exception );
  CPPUNIT_TEST_EXCEPTION( testMissingExpectedIncludedFile, CppUnit::Exception );
  CPPUNIT_TEST_SUITE_END();

public:
  /*! Constructs a ExpectedProjectTest object.
   */
  ExpectedProjectTest();

  /// Destructor.
  virtual ~ExpectedProjectTest();

  void setUp();
  void tearDown();

  void testDifferentProjectPath();
  void testMissingActualTopFile();
  void testMissingActualTopFile2();
  void testMissingExpectedTopFile();
  void testMissingExpectedTopFile2();

  void testMissingActualIncludedFile();
  void testMissingExpectedIncludedFile();

private:
  /// Prevents the use of the copy constructor.
  ExpectedProjectTest( const ExpectedProjectTest &copy );

  /// Prevents the use of the copy operator.
  void operator =( const ExpectedProjectTest &copy );

private:
  QString _dir;
};



// Inlines methods for ExpectedProjectTest:
// ----------------------------------------



#endif  // EXPECTEDPROJECTTEST_H
