// //////////////////////////////////////////////////////////////////////////
// Implementation file FileDependency.cpp for class FileDependency
// (c)Copyright 2000, Baptiste Lepilleur.
// Created: 2001/09/23
// //////////////////////////////////////////////////////////////////////////

#include <qstring.h>
#include "FileDependency.h"


FileDependency::FileDependency( const QString &fileName,
                              bool searchParentDir ) :
    _fileName( fileName ),
    _searchParentDir( searchParentDir )
{
}


FileDependency::~FileDependency()
{
}


QString 
FileDependency::fileName()
{
  return _fileName;
}


bool 
FileDependency::searchParentDirectoryFirst()
{
  return _searchParentDir;
}


bool 
FileDependency::equalsTo( FileDependency *other )
{
  return other != NULL  &&
         fileName() == other->fileName()  &&
         searchParentDirectoryFirst() == other->searchParentDirectoryFirst();
}


QString 
FileDependency::toString()
{
  QString msg = "{" + fileName() + ": ";
  msg += searchParentDirectoryFirst() ? "ParentDir" : "Environment";
  msg += "}";
  return msg;
}
