// //////////////////////////////////////////////////////////////////////////
// Header file FileDependency.h for class FileDependency
// (c)Copyright 2000, Baptiste Lepilleur.
// Created: 2001/09/23
// //////////////////////////////////////////////////////////////////////////
#ifndef FILEDEPENDENCY_H
#define FILEDEPENDENCY_H

#include <qstring.h>
#include "Stringable.h"


/*! \class FileDependency
 * \brief This class represents a dependency in a CPP file.
 */
class FileDependency
{
public:
  /*! Constructs a FileDependency object.
   * \param fileName Name of the included file. Not resolved.
   * \param searchParentDir \c true is the file was included using quote.
   */
  FileDependency( const QString &fileName,
                  bool searchParentDir );

  /// Destructor.
  virtual ~FileDependency();

  QString fileName();

  bool searchParentDirectoryFirst();

  bool equalsTo( FileDependency *other );

  QString toString();

private:
  /// Prevents the use of the copy constructor.
  FileDependency( const FileDependency &copy );

  /// Prevents the use of the copy operator.
  void operator =( const FileDependency &copy );

private:
  QString _fileName;
  bool _searchParentDir;
};



// Inlines methods for FileDependency:
// ----------------------------------



#endif  // FILEDEPENDENCY_H
