// //////////////////////////////////////////////////////////////////////////
// Implementation file FileModelIterator.cpp for class FileModelIterator
// (c)Copyright 2000, Baptiste Lepilleur.
// Created: 2001/09/23
// //////////////////////////////////////////////////////////////////////////

#include "FileModelIterator.h"
#include "FileModel.h"
#include "ProjectModel.h"
#include "ResolvedFileModel.h"


FileModelIterator::FileModelIterator( QListIterator<ResolvedFileModel> iterator ) :
    _iterator( iterator )
{
}


FileModelIterator::~FileModelIterator()
{
}


int 
FileModelIterator::count()
{
  return _iterator.count();
}


ResolvedFileModel *
FileModelIterator::currentItem()
{
  return _iterator.current();
}


bool 
FileModelIterator::hasNextItem()
{
  return _iterator.current() != NULL;
}


ResolvedFileModel *
FileModelIterator::nextItem()
{
  ResolvedFileModel *file = _iterator.current();
  ++_iterator;
  return file;
}
