// //////////////////////////////////////////////////////////////////////////
// Header file FileModelIterator.h for class FileModelIterator
// (c)Copyright 2000, Baptiste Lepilleur.
// Created: 2001/09/23
// //////////////////////////////////////////////////////////////////////////
#ifndef FILEMODELITERATOR_H
#define FILEMODELITERATOR_H

#include <qlist.h>
class FileModel;
class ProjectModel;
class ResolvedFileModel;


/*! \class FileModelIterator
 * \brief This class allow to iterate on FileModels.
 */
class FileModelIterator
{
public:
  /*! Constructs a FileModelIterator object.
   */
  FileModelIterator( QListIterator<ResolvedFileModel> iterator );

  /// Destructor.
  virtual ~FileModelIterator();

  int count();

  ResolvedFileModel *currentItem();

  bool hasNextItem();

  ResolvedFileModel *nextItem();

private:
  /// Prevents the use of the copy constructor.
//  FileModelIterator( const FileModelIterator &copy );

  /// Prevents the use of the copy operator.
//  void operator =( const FileModelIterator &copy );

private:
   QListIterator<ResolvedFileModel> _iterator;
};



// Inlines methods for FileModelIterator:
// --------------------------------------



#endif  // FILEMODELITERATOR_H
