// //////////////////////////////////////////////////////////////////////////
// Header file FileModelTest.h for class FileModelTest
// (c)Copyright 2000, Baptiste Lepilleur.
// Created: 2001/09/18
// //////////////////////////////////////////////////////////////////////////
#ifndef FILEMODELTEST_H
#define FILEMODELTEST_H

#include <cppunit/extensions/HelperMacros.h>
#include <qstring.h>


/*! \class FileModelTest
 * \brief Unit Test for FileModel
 */
class FileModelTest : public CppUnit::TestCase
{
  CPPUNIT_TEST_SUITE( FileModelTest );
  CPPUNIT_TEST( testGetDependenciesWithEmptyFile );
  CPPUNIT_TEST( testGetDependenciesWithQuotedHeader );
  CPPUNIT_TEST( testGetDependenciesWithAngledHeader );
  CPPUNIT_TEST( testGetDependenciesWithMixedHeaders );
  CPPUNIT_TEST_SUITE_END();

public:
  /*! Constructs a FileModelTest object.
   */
  FileModelTest();

  /*! Destructor.
   */
  virtual ~FileModelTest();

  void setUp();
  void tearDown();

  void testGetDependenciesWithEmptyFile();
  void testGetDependenciesWithQuotedHeader();
  void testGetDependenciesWithAngledHeader();
  void testGetDependenciesWithMixedHeaders();

private:
  /// Prevents the use of the copy constructor.
  FileModelTest( const FileModelTest &copy );

  /// Prevents the use of the copy operator.
  void operator =( const FileModelTest &copy );

private:
  QString _dir;
};



// Inlines methods for FileModelTest:
// ----------------------------------



#endif  // FILEMODELTEST_H
