#ifndef QT_CPPUNIT_TOOLS
#define QT_CPPUNIT_TOOLS

#include <cppunit/TestAssert.h>
class QString;


namespace CppUnit
{

struct assertion_traits<QString>
{
  static bool equal( const QString& x, const QString& y )
  {
    return x == y;
  }

  static std::string toString( const QString& x )
  {
    return x.latin1();
  }
};


struct assertion_traits<bool>
{
  static bool equal( const bool& x, const bool& y )
  {
    return x == y;
  }

  static std::string toString( const bool& x )
  {
    return x ? "true" : "false";
  }
};


template<class TheType>
struct stringable_traits
{
  static std::string toString( const TheType &x )
  {
    return const_cast<TheType &>(x).toString().latin1();
  }
};


}  // namespace CppUnit

#endif