// //////////////////////////////////////////////////////////////////////////
// Implementation file TestFailureInfo.cpp for class TestFailureInfo
// (c)Copyright 2000, Baptiste Lepilleur.
// Created: 2001/09/20
// //////////////////////////////////////////////////////////////////////////

#include "TestFailureInfo.h"
#include <cppunit/Test.h>
#include <cppunit/Exception.h>


TestFailureInfo::TestFailureInfo( CppUnit::Test *failedTest, 
                                  CppUnit::Exception *thrownException,
                                  bool isError ) : 
    CppUnit::TestFailure( failedTest, thrownException->clone() ),
    _isError( isError )
{
}


TestFailureInfo::~TestFailureInfo()
{
}


bool 
TestFailureInfo::isError()
{
  return _isError;
}


QString 
TestFailureInfo::failedTestName()
{
  return QString::fromLatin1( failedTest()->getName().c_str() );
}
