// //////////////////////////////////////////////////////////////////////////
// Header file TestRunner.h for class TestRunner
// (c)Copyright 2000, Baptiste Lepilleur.
// Created: 2001/09/19
// //////////////////////////////////////////////////////////////////////////
#ifndef TESTRUNNER_H
#define TESTRUNNER_H

#include <vector>

namespace CppUnit
{
  class Test;
  class TestSuite;

  namespace QtUi
  {

/*! \class TestRunner
 * \brief This class represents a test runner.
 */
class TestRunner
{
public:
  /*! Constructs a TestRunner object.
   */
  TestRunner();

  /*! Destructor.
   */
  virtual ~TestRunner();

  void run();

  void addTest( CppUnit::Test *test );

private:
  /// Prevents the use of the copy constructor.
  TestRunner( const TestRunner &copy );

  /// Prevents the use of the copy operator.
  void operator =( const TestRunner &copy );

  Test *getRootTest();

private:
  typedef std::vector<Test *> Tests;
  Tests _tests;

  TestSuite *_suite;
};



// Inlines methods for TestRunner:
// -------------------------------


  }  // namespace QtUi
}  // namespace CppUnit

#endif  // TESTRUNNER_H
